Pacchetti compatibilità 32bit

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
ZeroUno
Staff
Staff
Messaggi: 5041
Iscritto il: ven giu 02, 2006 14:52
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current
Località: Roma / Castelli
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda ZeroUno » sab ago 08, 2009 13:32

Meskalamdug ha scritto:Ciao,il problema dell'uploader ftp è che sotto firefox
non mi funziona la java,non so perchè...

su questo dovresti indagare, comunque quel sito ha anche l'uploader classico. Nella pagina dell'uploader java ci dovrebbe essere un pulsante che rimanda all'uploader semplice proprio per chi ha problemi.

Ciao
01
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg

Codice: Seleziona tutto

1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111

Avatar utente
DanBadJar
Linux 3.x
Linux 3.x
Messaggi: 1027
Iscritto il: ven lug 28, 2006 19:27
Nome Cognome: Daniele Malavasi
Slackware: 13.1
Kernel: 2.6.34.1
Desktop: XFCE - Gnome
Località: Bologna
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda DanBadJar » ven ago 28, 2009 9:07

Qualcuno sa se con questi pacchetti funziona skype? Per me è un programma fondamentale e sarebbe l'unico motivo per restare a 32bit!
Dato il nuovo rilascio della 13 era giusto per sapere quale delle due versioni installare.

Avatar utente
ZeroUno
Staff
Staff
Messaggi: 5041
Iscritto il: ven giu 02, 2006 14:52
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current
Località: Roma / Castelli
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda ZeroUno » ven ago 28, 2009 16:02

DanBadJar ha scritto:Qualcuno sa se con questi pacchetti funziona skype?

Si, funziona
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg

Codice: Seleziona tutto

1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111

Avatar utente
airex
Linux 2.0
Linux 2.0
Messaggi: 121
Iscritto il: sab lug 08, 2006 11:03
Slackware: -current
Desktop: xfce
Distribuzione: Slackware64
Località: Milano
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda airex » gio set 03, 2009 9:37

avrei preso da slackware 13.0 alcuni pacchetti e li ho convertiti in -compat32 per slackware64 13.0/current, usando i tool presi da siti collegati a Slamd64, il tutto reperibile da: http://airex.altervista.org/slackware64-compat32/

li ho messi sulla mia macchina e pare andare tutto, se trovate problemi fatemi sapere.

ps.
l'upload è in corso ;)

Avatar utente
conraid
Staff
Staff
Messaggi: 12947
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda conraid » gio set 03, 2009 11:57

usare quelli di alien, che è quello che ha fatto slackware64 mi sembra più saggio
viewtopic.php?f=51&t=29426
poi uno fa come crede

Avatar utente
Vito
Staff
Staff
Messaggi: 4178
Iscritto il: mar dic 05, 2006 17:28
Nome Cognome: Vito
Distribuzione: Linux Mint 17
Località: Augsburg (DE)
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda Vito » gio set 03, 2009 13:25

Ho letto per bene il link http://connie.slackware.com/~alien/mult ... -compat32/ e ho trovato questo metodo a dir poco geniale.
Attualmente sto utilizzando freepops come compat32.
-L'ho scaricato con le varie dipendenze a 32bit
-ho convertito i pacchetti con convertpkg-compat32 e li ho installati: funzionano alla grande!
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]

Avatar utente
m0rdr3d
Linux 2.4
Linux 2.4
Messaggi: 404
Iscritto il: dom dic 24, 2006 13:40
Slackware: Slackware64-current
Kernel: 3.4.*
Desktop: KDE 4.8.2

Re: Pacchetti compatibilità 32bit

Messaggioda m0rdr3d » ven set 04, 2009 16:03

Una domanda:
sulla pagina wiki, AlienBob propone due procedure per installare le librerie di compatibilità a 32 bit.
  1. scaricare ed installare i pacchetti già compilati, che vanno a sostituire i precedenti gcc e glibc.
  2. convertire con uno script le librerie della slack32 ed installarle

Sapete dirmi se nel secondo caso vengono comunque generati i pacchetti della procedura 1, che contengono in bundle anche le librerie a 64 bit che vanno a sostituire le attuali, o se vengono invece generati dei pacchetti separati e quindi eventualmente di più semplice gestione e rimozione?

Mi interesserebbe mantenere separate le librerie anche da un punto di vista di gestione dei pacchetti.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2185
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda ponce » ven set 04, 2009 16:18

no, nella parte 2 vengono generati altri pacchetti, quelli relativi a gcc e glibc devono restare quelli (vanno anche messi in blacklist su slackpkg).

l'unico modo di spezzarli e' quello di rifarli con una toolchain apposta (e' lunghetto ma alienbob spiega come fare) e spezzarli nella fase finale della creazione dei pacchetti, ma secondo me non ne vale la pena. ;)

Avatar utente
m0rdr3d
Linux 2.4
Linux 2.4
Messaggi: 404
Iscritto il: dom dic 24, 2006 13:40
Slackware: Slackware64-current
Kernel: 3.4.*
Desktop: KDE 4.8.2

Re: Pacchetti compatibilità 32bit

Messaggioda m0rdr3d » ven set 04, 2009 16:28

Accidenti, è vero... peccato.
Grazie della risposta.

Avatar utente
Vito
Staff
Staff
Messaggi: 4178
Iscritto il: mar dic 05, 2006 17:28
Nome Cognome: Vito
Distribuzione: Linux Mint 17
Località: Augsburg (DE)
Contatta:

Re: Pacchetti compatibilità 32bit

Messaggioda Vito » ven set 04, 2009 16:56

Quei pacchetti rendono la tua Slackware64 "multilib". =D>
"Stat rosa pristina nomina, nomina nuda tenemus." [ Umberto Eco - Il nome della rosa]

"Faber est suae quisque fortunae ." [ Appio Claudio Cieco]

Meskalamdug
Iper Master
Iper Master
Messaggi: 3802
Iscritto il: ven mag 14, 2004 0:00

Re: Pacchetti compatibilità 32bit

Messaggioda Meskalamdug » mer set 16, 2009 0:36

Vito ha scritto:Ho letto per bene il link http://connie.slackware.com/~alien/mult ... -compat32/ e ho trovato questo metodo a dir poco geniale.
Attualmente sto utilizzando freepops come compat32.
-L'ho scaricato con le varie dipendenze a 32bit
-ho convertito i pacchetti con convertpkg-compat32 e li ho installati: funzionano alla grande!

Freepops funziona anche a 64 :D

Meskalamdug
Iper Master
Iper Master
Messaggi: 3802
Iscritto il: ven mag 14, 2004 0:00

Re: Pacchetti compatibilità 32bit

Messaggioda Meskalamdug » mer set 16, 2009 6:52


sunreal
Master
Master
Messaggi: 1599
Iscritto il: dom apr 10, 2005 0:00
Slackware: 14.1
Desktop: kde
Località: P.P.P.

Re: Pacchetti compatibilità 32bit

Messaggioda sunreal » lun lug 26, 2010 19:51

Ciao, ho dato una scorsa al paginone di istruzioni di Alien BOB (parente di Silent?) a questo indirizzo:
http://alien.slackbook.org/dokuwiki/dok ... e:multilib
mi sembrano le istruzioni di cui si parla in questo post, che hanno come scopo quello di far diventare slack 64 mutilib. Avrei un paio di domandine facili facili:
(tenete presente che la mia conoscenza dell' inglese non è delle più ferree, ma me la cavo benissimo con il traduttore di google)
1- il processo di "trasformazione" quanto è complesso?
2- vale la pena di fare questa modifica o conviene installare slack 13.1 a 32 bit?
Aspetto fiducioso i vostri preziosissimi lumi, ciao.

Avatar utente
Eberoth
Linux 2.4
Linux 2.4
Messaggi: 403
Iscritto il: lun ago 24, 2009 9:22
Slackware: -current
Kernel: 3.13.6
Desktop: KDE4
Distribuzione: Slackel64

Re: Pacchetti compatibilità 32bit

Messaggioda Eberoth » mar lug 27, 2010 20:42

1) il "processo di trasformazione" è complesso quanto installare dei pacchetti... devi solo scaricare i pacchetti dal sito e dare un

Codice: Seleziona tutto

upgradepkg --install-new --reinstall /percorso-pacchetti/*.t?z


Ovviamente, prima installi i vari gcc, glibc etc e poi il resto.

2)In realtà questa domanda ha poco senso: installare le compat32 serve a rendere slackware64, che è una distribuzione pura x86_64, multilib. Ovvero, in breve, ti permette di continuare ad usare programmi a 32bit, il che è utile solo ne usi (alcuni programmi, vome skype, ancora non esistono a 64bit...).

Installare slackware a 32bit, ti darà una distribuzione pura a 32bit, punto.

Se siano meglio i 32 o i 64 bit è ancora argomento di (accese) discussioni. Io ho un processore a 64bit e uso slackware64 con multilib.

Spero di esserti stato d'aiuto.

sunreal
Master
Master
Messaggi: 1599
Iscritto il: dom apr 10, 2005 0:00
Slackware: 14.1
Desktop: kde
Località: P.P.P.

Re: Pacchetti compatibilità 32bit

Messaggioda sunreal » mer lug 28, 2010 12:32

Grazie, Eberoth, per la chiarezza delle risposte, credo che farò il tentativo di trasformare slack 64 in multilib, grazie ancora e ciao.